%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/bep/lazycache
Version:                0.2.0

%gometa

%global common_description %{expand:
Thread safe in-memory LRU cache with non-blocking cache priming on cache
misses.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Thread safe in-memory LRU cache with non-blocking cache priming on cache misses

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
